Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class BERSet

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.ASN1Set
                      org.bouncycastle.asn1.DERSet
                          org.bouncycastle.asn1.BERSet

All Implemented Interfaces:
  DEREncodable, DERTags

    public class BERSet

extends DERSet

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Set
`set`

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`BERSet()` create an empty sequence
`BERSet(DEREncodable obj)` create a set containing one object
`BERSet(DEREncodableVector v)`

Method Summary

Methods inherited from class org.bouncycastle.asn1.ASN1Set
`addObject, getInstance, getInstance, getObjectAt, getObjects, hashCode, parser, size, sort, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BERSet

    public BERSet()

  create an empty sequence

### BERSet

    public BERSet(DEREncodable obj)

  create a set containing one object

### BERSet

    public BERSet(DEREncodableVector v)

Parameters:
  `v` - - a vector of objects making up the set.

Bouncy Castle Cryptography Library 1.45